GuideLab API

List print batches

Retrieves print batches for the current lab. Filter by printerId, roomId, or status. Joins order items.

GET
/production/print-batches

Retrieves print batches for the current lab. Filter by printerId, roomId, or status. Joins order items.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

printerId?string
roomId?string
status?string

Value in

  • "queued"
  • "printing"
  • "completed"
  • "failed"
activeOnly?||

Return only batches that are queued or printing, newest first.

Defaultfalse
cursor?string

Opaque cursor returned by the previous page. Pages are ordered by creation time and ID, newest first.

Length1 <= length <= 512
limit?integer

Maximum batches to return

Range0 < value <= 100
Default100

Response Body

application/json

curl -X GET "https://example.com/production/print-batches"
{  "batches": [    {      "id": "string",      "labId": "string",      "printerId": "string",      "roomId": "string",      "name": "string",      "status": "queued",      "startedAt": "string",      "completedAt": "string",      "createdByMemberId": "string",      "completedByMemberId": "string",      "notes": "string",      "failureReason": "string",      "durationSeconds": 0,      "createdAt": "string",      "updatedAt": "string",      "orderItems": [        {          "id": "string",          "orderId": "string",          "orderNumber": "string",          "productName": "string",          "material": "string"        }      ],      "orderItemsTruncated": true    }  ],  "pagination": {    "limit": 0,    "hasMore": true,    "nextCursor": "string"  }}
Empty